$debug

if not LuaOrb_cfg.irep then
   LuaOrb_cfg.irep = createproxy{interface = "CORBA::Repository",
                                 ior_file = "../ir.ref"}
end


source_impl = {
   print = function (self, msg)
      print(msg)
      if self.notify_obj then
         self.notify_obj:notify("Message Received")
      end
   end,

   register_callback = function (self, obj)
      self.notify_obj = obj
      if self.notify_obj then
         self.notify_obj:notify("Listener Registered")
      end
   end
}

source_server = CreateDSIServer("Tst_Callback::EventSource",source_impl)

writeto("source.ref")
write(source_server:_get_ior())
writeto()
