$debug

if not LuaOrb_cfg.irep then
   LuaOrb_cfg.irep = createproxy{interface = "CORBA::Repository",
                                 ior_file = "../ir.ref"}
end


worker_impl = {
   work = function (self, id, nw, intervals)
      local area = 0.0
      local width = 1.0/intervals

      print("Worker #"..id.." starting")
      local i = id
      while i < intervals do
         local x = (i + 0.5) * width
         area = area + width*(4.0/(1.0 + x*x))
         i = i + nw
      end
      print("Worker #"..id.." result = "..area)
      return area
   end,
   exit = function (self)
      exit()
   end,
}

worker_servant = CreateDSIServer("Tst_DeferredEvent::Worker",worker_impl)

writeto("w"..argv[2]..".ref")
write(worker_servant:_get_ior())
writeto()
