$debug

if not LuaOrb_cfg.irep then
   LuaOrb_cfg.irep = createproxy{interface = "CORBA::Repository",
                                 ior_file = "../ir.ref"}
end

manager_proxy = createproxy{interface="Tst_Group::Manager",
                            ior_file="manager.ref"} 

worker = { 
   print = function(self,msg)
      print(msg)
   end,
   add = function(self,x,y)
      return x+y
   end,
   execute = function(self,code)
      dostring(code)
   end,
   exit = function(self)
      if original_exit then
         original_exit()
      else
         exit()
      end
   end,
}

manager_proxy:Register(argv[2],worker)

