#ifndef LUAORB_H
#define LUAORB_H

#ifdef OB_INTEGER_VERSION   //if we are using ORBacus

#  if OB_INTEGER_VERSION >= 4000000L //if we are using ORBacus 4.0 or newer

void luaorb_open(CORBA::ORB_ptr the_Orb, PortableServer::POA_ptr the_POA=NULL);

#  else //else we are using ORBacus 3.*

void luaorb_open(CORBA_ORB_ptr the_Orb, CORBA_BOA_ptr the_BOA = NULL);

#  endif

#elif defined MICO_VERSION //else if we are using MICO

void luaorb_open(CORBA::ORB_ptr the_Orb, PortableServer::POA_ptr the_POA=NULL);
//void luaorb_open(CORBA::ORB_ptr the_Orb, CORBA::BOA_ptr the_BOA = NULL);

#else //else we are using Visibroker 3.3

void luaorb_open(CORBA::ORB_ptr the_Orb, CORBA::BOA_ptr the_BOA = NULL);

#endif

void luaorb_close();

#endif
