//*****************************************************************************
//
// LuaOrb Library
// Computer Science Department of PUC-Rio
// Rio de Janeiro, Brazil
//
// $Id: lo_tcode.h,v 1.3 2000/10/18 20:01:25 rcerq Exp $
//
//*****************************************************************************


#ifndef LO_TCODE_H
#define LO_TCODE_H

class LuaTypeCode
{
   CORBA::TypeCode_ptr corba_tc;

public:
   static int TAG;
   static int UDTAG;
   static void open();

   static void push(LuaTypeCode* ltc);
   static LuaTypeCode* check_tag(int index);
   static LuaTypeCode* from_lua(lua_Object l_obj);

   LuaTypeCode( CORBA::TypeCode_ptr atc );
   virtual ~LuaTypeCode();

   CORBA::TypeCode_ptr get_tc() { return corba_tc; }
};

#endif
