//*****************************************************************************
//
// LuaOrb Library
// Computer Science Department of PUC-Rio
// Rio de Janeiro, Brazil
//
// $Id: luaorb.cpp,v 1.6 2000/06/21 21:43:47 rcerq Exp $
//
//*****************************************************************************


extern "C"
{
#include <lua.h>
}

#include "orb_inc.h"
#include "luaorb.h"
#include "lo_proxy.h"
#include "lo_dsi.h"
#include "lo_tcode.h"
#include "lo_cfg.h"
#include "lo_class.h"

#ifdef CORBA_2_3
void luaorb_open(CORBA::ORB_ptr the_Orb, PortableServer::POA_ptr the_OA)
#else
void luaorb_open(CORBA::ORB_ptr the_Orb, CORBA::BOA_ptr the_OA)
#endif
{
   //Cria a tabela global que guarda a configuracao do LuaOrb
   LuaOrbCfg::open(the_Orb,the_OA);
   LuaOrb::open();
   LuaDSI::open();
   LuaTypeCode::open();
}

void luaorb_close()
{
   LuaOrb::close();
   LuaDSI::close();
   LuaOrbClass::close();
   LuaOrbCfg::close();
}

