$debug

do
   if not LuaOrb_cfg.irep then
      LuaOrb_cfg.irep = createproxy{interface = "CORBA::Repository",
                                    ior_file = "../ir.ref"}
   end

   dofile("../console.lua")

   register_interface("TstClipping","clipping.idl")

   local server_pid = create_process("../../bin/luaorb server.lua")

   wait(3)

   if dofile("client.lua") == "Ok" then
      print("*Script client.lua: [Ok]")
   else
      print("*Script client.lua: [Failed]")
   end

   kill_process(server_pid)

   remove("server.ref")

   print("**Test Finished**")
   exit()

end
