$debug

if not LuaOrb_cfg.irep then
   LuaOrb_cfg.irep = createproxy{interface = "CORBA::Repository",
                                 ior_file = "../ir.ref"}
end

dofile("event.lua")
dofile("../console.lua")

function Combine (partial)
   area = area + partial
   answers = answers + 1
   if answers == nw then
      print(format("\napprox pi %20.15f\n",area))
      Finish()
   end
end

function Finish()
   foreach(pids, function (i,v) kill_process(v) end)
   exit()
end

nw = tonumber(argv[2])
intervals = tonumber(argv[3])

i = 1
pids = {}
while i <= nw do
   pids[i] = create_process("luaorb "..i.." server.lua")
   i = i + 1
end

wait(3)

answers = 0
area = 0

i = 1
while i <= nw do
   local worker_proxy = createproxy{interface = "Tst_DeferredEvent::Worker",
                                    ior_file = "w"..i..".ref"}
   Completion_Event(worker_proxy:deferred_work(i,nw,intervals), Combine)
   i = i + 1
end

