$debug

function Completion_Event(def_obj,func)
   if not _Completion then
      _Completion = {table = {}, n = 0}
   end
   if not _Completion.timer then
      _Completion.timer = Timer{notify = Completion_Proc, interval = 1000}
      _Completion.timer:Start()
   end
   if not _Completion.table[def_obj] then
      _Completion.table[def_obj] = func
      _Completion.n = _Completion.n + 1
   else
      print("evento ja registrado")
   end
end

function Completion_Proc ()
   if _Completion.n > 0 then
      local def_obj, func = next(_Completion.table,nil)
      local aux = {}

      while def_obj do
         if def_obj:Finished() then
                func(def_obj:GetResult())
            aux[def_obj] = def_obj
         end
         def_obj,func = next(_Completion.table,def_obj)
      end

      def_obj,v = next(aux,nil)
      while def_obj do
         _Completion.table[def_obj] = nil
         _Completion.n = _Completion.n - 1
         def_obj,h = next(aux,def_obj)
      end
   end
   if _Completion.n == 0 then
      _Completion.timer = nil
      return nil
   end
   return 1
end

