#include <stdio.h>

using namespace std;

extern "C" {
#include <lua.h>
#include <lualib.h>
}

#include <CORBA.h>
#include <luaorb.h>

int main( int argc, char *argv[] )
{
   iolib_open();
   strlib_open();
   mathlib_open();

   // ORB initialization
   //CORBA::ORB_var orb = CORBA::ORB_init( argc, argv, "mico-local-orb" );
   //CORBA::BOA_var oa = orb->BOA_init (argc, argv, "mico-local-boa");
   CORBA::ORB_var orb = CORBA::ORB_init(argc, argv);
   
   CORBA::Object_var obj = orb -> resolve_initial_references("RootPOA");
   PortableServer::POA_var oa = PortableServer::POA::_narrow(obj);

   luaorb_open(orb,oa);

   char code[500];
   printf("LuaOrb Console v. 1.5\n> ");
   while (fgets(code,500,stdin))
   {
      lua_dostring(code);
      printf("> ");
   }

   return 0;
}
