//*****************************************************************************
//
// LuaOrb Library
// Computer Science Department of PUC-Rio
// Rio de Janeiro, Brazil
//
// $Id: lo_cfg.h,v 1.6 2000/09/22 00:03:31 rcerq Exp $
//
//*****************************************************************************


#ifndef LO_CFG_H
#define LO_CFG_H

class LuaOrb;

class LuaOrbCfg
{
public:
   static int CFGTAG;
   static int enum_numeric_mode;
   static int verbose;
   static int servant_optimization;

   static CORBA::ORB_ptr orb;
   static CORBA::Repository_ptr orb_ir;

#ifdef CORBA_2_3
   static PortableServer::POA_ptr poa;
   static DynamicAny::DynAnyFactory_ptr orb_dynany_factory;

   static void open(CORBA::ORB_ptr orb, PortableServer::POA_ptr poa);

#else
   static CORBA::BOA_ptr boa;
   static void open(CORBA::ORB_ptr orb, CORBA::BOA_ptr boa);
#endif

   static void close();
};
#endif
